alsa-utils (1.2.15.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2142253). Remaining changes:
    - Add Ubuntu patches:
      + unset_pulse_internal.patch (LP: 274995)
      + add_extra_volume_defaults.patch
      + vmware_audio_volume.patch
      + create_run_alsa.patch
        This patch was refreshed as the target files moved.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 17 Feb 2026 21:40:51 -0800

alsa-utils (1.2.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Jan 2026 10:46:57 +0100

alsa-utils (1.2.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove redundant Priority control field.
  * Update Standards-Version to 4.7.3.
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Thu, 08 Jan 2026 00:25:12 +0100

alsa-utils (1.2.15-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to version 5.
  * Drop redundant Rules-Requires-Root control field.
  * Refresh patches.
  * Bump alsa-lib B-D to 1.2.15, for snd_lib_log_set_handler.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Dec 2025 10:57:52 +0100

alsa-utils (1.2.14-2) unstable; urgency=medium

  * Fix non-updated label in last patch merge (closes: #1104719).

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 Sep 2025 12:17:08 +0200

alsa-utils (1.2.14-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 21:37:19 +0100

alsa-utils (1.2.14-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110208). Remaining changes:
    - Add Ubuntu patches:
      + unset_pulse_internal.patch (LP: 274995)
      + add_extra_volume_defaults.patch
      + vmware_audio_volume.patch
      + create_run_alsa.patch

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 08 May 2025 15:59:24 +0300

alsa-utils (1.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Update Standards-Version to 4.7.2.
  * Update patch alsa-info_manpage.patch: upstream has now moved
    the manpage to section 8, like us. Adapt rules for this.
  * Refresh all other patches.

 -- Jordi Mallach <jordi@debian.org>  Mon, 14 Apr 2025 22:04:50 +0200

alsa-utils (1.2.13-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Add Ubuntu patches:
      + unset_pulse_internal.patch
      + add_extra_volume_defaults.patch
      + vmware_audio_volume.patch
      + create_run_alsa.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 22:49:48 -0600

alsa-utils (1.2.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libasound2-dev to 1.2.13, as per configure.ac.
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Jan 2025 13:57:15 +0100

alsa-utils (1.2.12-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2087553). Remaining changes:
    - add ubuntu patches unset_pulse_internal.patch,
      add_extra_volume_defaults.patch, vmware_audio_volume.patch,
      create_run_alsa.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 08 Nov 2024 15:01:07 +0100

alsa-utils (1.2.12-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 4.7.0, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Jul 2024 02:23:14 +0200

alsa-utils (1.2.11-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - add ubuntu patches unset_pulse_internal.patch,
      add_extra_volume_defaults.patch, vmware_audio_volume.patch,
      create_run_alsa.patch
  * Dropped changes, no longer needed:
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - Add udev rule to apply UCM profiles for panda and equivalent hardware

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 May 2024 17:03:21 -0700

alsa-utils (1.2.11-1) unstable; urgency=medium

  * New upstream release.
  * Ack 1.2.10-1.1 NMU by Chris Hofstaedtler, thanks!
  * Remove "temporary" Build-Depend on systemd, introduced in 2018. The
    switch to systemd-dev happened in the 1.2.10-1.1 NMU. (closes: #1060488).
  * Update watch and copyright files for new https-based download URL.
  * Update copyright years.
  * Refresh patches.
  * Build-Depend on pkgconf instead of obsolete pkg-config.

 -- Jordi Mallach <jordi@debian.org>  Mon, 04 Mar 2024 22:45:22 +0100

alsa-utils (1.2.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use udevdir from udev.pc to determine udev rules install path.
    (Closes: #1057240)
  * Use systemdsystemunitdir from systemd.pc to determine systemd unit install
    path.
  * udeb: move debian-installer-startup.d/S37alsa-utils-udeb into /usr/lib.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 24 Dec 2023 12:42:40 +0100

alsa-utils (1.2.10-1) unstable; urgency=medium

  * New upstream release.
  * Remove all patch hunks renaming "ressize" to "resize" from the
    spellfixes.patch, as it's a variable name, not a typo.
  * Add lintian overrides for "ressize" spelling mistake.
  * Remove obsolete override for dh_missing, --fail-missing is the default.

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Sep 2023 15:45:59 +0200

alsa-utils (1.2.9-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:09:55 +0000

alsa-utils (1.2.9-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:37:17 +0000

alsa-utils (1.2.9-1ubuntu3) noble; urgency=medium

  * Explicitly configure --with-udev-rules-dir=/lib/udev/rules.d.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Mar 2024 16:39:14 +0100

alsa-utils (1.2.9-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:29:05 +0000

alsa-utils (1.2.9-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - add ubuntu patches unset_pulse_internal.patch,
      add_extra_volume_defaults.patch, vmware_audio_volume.patch,
      create_run_alsa.patch
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - Add udev rule to apply UCM profiles for panda and equivalent hardware

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 11:26:11 +0200

alsa-utils (1.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Update Standards-Version to 4.6.2, with no changes needed.
  * Drop dependency on obsolete lsb-base.
  * Update libncursesw5-dev Build-Dep to just libncurses-dev.

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Jun 2023 13:43:13 +0200

alsa-utils (1.2.8-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1997569). Remaining changes:
    - add 4 patches unset_pulse_internal.patch,
      add_extra_volume_defaults.patch, vmware_audio_volume.patch,
      create_run_alsa.patch

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 23 Nov 2022 10:42:37 -0300

alsa-utils (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Apply patch from Jörg-Volker Peetz to properly initialise and
    use $ALSACTLRUNTIME in the init script (closes: #1004150).

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Nov 2022 18:36:16 +0100

alsa-utils (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 (no changes needed).
  * Install new alsa-topology modules.
  * Remove *.la files from build in override_dh_install.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Jul 2022 03:19:19 +0200

alsa-utils (1.2.6-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - add 4 patches unset_pulse_internal.patch,
      add_extra_volume_defaults.patch, vmware_audio_volume.patch,
      create_run_alsa.patch

 -- Hui Wang <hui.wang@canonical.com>  Wed, 12 Jan 2022 15:13:36 +0000

alsa-utils (1.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Import upstream signing key and configure watch file to check for
    sigs.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Wed, 12 Jan 2022 10:42:19 +0100

alsa-utils (1.2.5.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Pick the change of 1.2.4-1ubuntu1 and minor changes on it,
      drop 2 patches alsa-info_call_home.patch and
      udev_test_alsactl.patch since unstable already has them,
      and refresh the patch unset_pulse_internal.patch.

 -- Hui Wang <hui.wang@canonical.com>  Sat, 09 Oct 2021 17:14:15 +0000

alsa-utils (1.2.5.1-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Add additional upstream metadata entries.
  * Refresh patches.
  * Update to Standards-Version 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entry 1.0.20-1.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Aug 2021 17:54:15 +0200

alsa-utils (1.2.4-1ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:19 +0200

alsa-utils (1.2.4-1ubuntu3) hirsute; urgency=medium

  * d/p/0013-aplay-try-to-use-16-bit-format-to-increase-capture-q.patch
    - aplay: try to use 16-bit format to increase capture quality
    (LP: #1923841)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 14 Apr 2021 16:27:22 +0800

alsa-utils (1.2.4-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:00 +0100

alsa-utils (1.2.4-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + Mute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Put the daemon file in /var/lib/alsa
    - Create /run/alsa directory so that systemd services don't fail

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2021 16:38:25 +0100

alsa-utils (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.1.

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Dec 2020 22:46:08 +0100

alsa-utils (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper compat to v13.

 -- Jordi Mallach <jordi@debian.org>  Thu, 20 Aug 2020 21:03:08 +0200

alsa-utils (1.2.2-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Switch b-d from python-docutils to python3-docutils; Closes: #942905

  [ Jordi Mallach ]
  * Avoid alsa-info calling home to check for updates unless explicitly
    invoked with --update (closes: #962073). Thanks to Christoph Berg for
    reporting this.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Jun 2020 07:21:29 +0200

alsa-utils (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0.
  * Demote dialog from Depends to Suggests (since we don't ship alsaconf,
    it's only used by alsa-info), and drop the whiptail alternative
    (closes: #931293).
  * Install alsa-info.sh.1 manpage as alsa-info.8.
  * Patch alsa-info.sh.1 to fix references to the command without a suffix,
    and move it to section 8 (closes: #921595).
  * Drop do-not-check-for-sys-kernel-uevent_helper.patch, fixed upstream.
  * Refresh all patches.
  * Require libatopology-dev (>= 1.2.2), as configure.ac checks for
    the availability of snd_tplg_save.

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 Feb 2020 18:08:26 +0100

alsa-utils (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly Build-Depend on libatopology-dev, as alsatplg needs it.
  * Amend Debian copyright to state that alsa-utils is GPL-2 except for
    alsaucm/*, which is licensed under the LGPL-2+.

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Jan 2020 17:12:19 +0100

alsa-utils (1.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat v12 and use debhelper-compat Build-Dep.
  * Update Standards-Version to 4.4.1.
  * Add patch from Antonio Russo to set XDG_RUNTIME_DIR to avoid littering
    in the wrong places when running alsactl. Thanks! (closes: #894991).
  * Add missing -E HOME=... to alsactl invocation in init script.
    Thanks Niels Thykier (closes: #675857, MR !1).

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Nov 2019 16:48:13 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog alsa-utils`.
